its something similar to this:
swApp.GetConfigurationCount(swApp.ActiveDoc.GetPath())
im not sure if the call is getpath(), or filename()...or something....but you get the picture
Aparently you can't use a Referece Point as a perameter to define a new reference plane (via point and parallel plane).
What are reference points for if you can't mate to them and they can't be used to make new geometry?
i've done a lot of work with the API...perhaps you are missing just a few characters in the create object call:
try this:
Set swApp = CreateObject("SldWorks.Application.12")
you can leave the arguments to opendoc6 null if they give you trouble.
Is there somewhere online I can find CAD models of common computer connector parts?
I'm sure I'm not the first one to model DB25M connectors and similar computer components.
I am modelling a laser light beam...I'd like to have a circular cross section that expands in diameter at a constant rate. The path must take right angle corners in 3 axes.
I'm thinking path and sweep with a guide curve...is there a simpler way?
Jon -
I would like to make the part "stand alone" as you said. However, the part i'm modelling is a cable that has to dynamically update based on the orientation of parts in the assembly.
If i wanted to make it independent, i think i could break all the references? but then when...
I made a part in the context of an assembly. Now I want to reuse that part in the context of a different assembly. How do i redirect the references in the part so that they point at the new assembly?
here's my specific situation:
I made a part at home in the context of an assembly. now...
A new Example:
We start with angle1 = 0, angle2 = 90, angle3 = 180
My equations:
1. Angle1 = 90 evaluates to 90 (desired)
2. Angle2 = Angle1 + 90 evaluates to 90 (undesired, i wanted 180)
3. Angle3 = Angle 1 evaluates to 0 (undesired, i wanted 90)
If i could...
I am using several equations to drive the starting angles and lengths of a number of helices. I have about 6 equations that need to be evaluated in order, since the 6th uses a value generated in the 5th, and so forth.
Solidworks evaluates the equations in order, but does NOT rebuild the...
How do I define the starting angle of a helix relative to a feature in solidworks? Lets say I want a helix's start point to be coincident with the end point of an arc. When I edit the length of the arc, I have to manually go into the helix feature definition and edit the starting angle.
Is...